Bug 162197 - [PATCH] multimedia/libdvdread: add option for libdvdcss
[PATCH] multimedia/libdvdread: add option for libdvdcss
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Ganael LAPLANCHE
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-31 13:50 UTC by Jimmy Olgeni
Modified: 2012-01-17 14:50 UTC (History)
1 user (show)

See Also:


Attachments
libdvdread-4.1.4.r1219.patch (1.12 KB, patch)
2011-10-31 13:50 UTC, Jimmy Olgeni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jimmy Olgeni freebsd_committer 2011-10-31 13:50:12 UTC
Add libdvdcss option, thus allowing tinderbox builds with libdvdcss enabled.

The default behavior was not changed.

Port maintainer (martymac@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2011-10-31 13:50:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->martymac

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Ganael LAPLANCHE freebsd_committer 2011-11-03 14:49:15 UTC
Hi Jimmy,

> Add libdvdcss option, thus allowing tinderbox builds with
> libdvdcss enabled.

Thanks a lot for your patch (BTW I think you meant 'if
!defined(WITHOUT_DVDCSS) [...]').

As it could have a potential impact on several other ports (it should
not, who knows...), I'll wait for 9.0-RELEASE to be out before
committing it.

Best regards,

--
Ganael LAPLANCHE <ganael.laplanche@martymac.org>
http://www.martymac.org | http://contribs.martymac.org
FreeBSD: martymac <martymac@FreeBSD.org>, http://www.FreeBSD.org
Comment 3 dfilter freebsd_committer 2012-01-17 14:35:33 UTC
martymac    2012-01-17 14:35:18 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/bombono   Makefile 
    multimedia/dvdauthor Makefile 
    multimedia/gmerlin-avdecoder Makefile 
    multimedia/gstreamer-plugins-dvd Makefile 
    multimedia/gstreamer-plugins-resindvd Makefile 
    multimedia/handbrake Makefile 
    multimedia/k9copy    Makefile 
    multimedia/kissdx    Makefile 
    multimedia/libdvdnav Makefile distinfo pkg-descr pkg-plist 
    multimedia/libdvdnav/files patch-configure2 
    multimedia/libdvdplay Makefile 
    multimedia/libdvdread Makefile distinfo pkg-descr pkg-plist 
    multimedia/libdvdread/files patch-configure2 
    multimedia/libxine   Makefile 
    multimedia/lsdvd     Makefile 
    multimedia/lxdvdrip  Makefile 
    multimedia/mmpython  Makefile 
    multimedia/mplayerxp Makefile 
    multimedia/ogmrip    Makefile 
    multimedia/ogmtools  Makefile 
    multimedia/py-kaa-metadata Makefile 
    multimedia/streamanalyze Makefile 
    multimedia/transcode Makefile 
    multimedia/vamps     Makefile 
    multimedia/vlc       Makefile 
    multimedia/xbmc      Makefile 
    multimedia/xbmc-pvr  Makefile 
    net/wizd             Makefile 
    sysutils/dvdbackup   Makefile 
    sysutils/k3b         Makefile 
    sysutils/k3b-kde4    Makefile 
    sysutils/vobcopy     Makefile 
    sysutils/vstrip      Makefile 
  Added files:
    multimedia/libdvdread/files patch-src.md5.c 
  Log:
  - Update libdvdread and libdvdnav to 4.2.0 and bump dependent ports' revisions
  - libdvdread: allow package building with libdvdcss if WITH_DVDCSS is set [1]
  - libdvdread/libdvdnav: fix endianness handling [2]
  
  Submitted by: olgeni [1], richo <richo@psych0tik.net> [2] (via mail to ports@)
  PR: ports/162197 [1]
  
  Revision  Changes    Path
  1.16      +1 -0      ports/multimedia/bombono/Makefile
  1.50      +1 -1      ports/multimedia/dvdauthor/Makefile
  1.28      +1 -1      ports/multimedia/gmerlin-avdecoder/Makefile
  1.17      +1 -1      ports/multimedia/gstreamer-plugins-dvd/Makefile
  1.3       +1 -1      ports/multimedia/gstreamer-plugins-resindvd/Makefile
  1.32      +1 -0      ports/multimedia/handbrake/Makefile
  1.21      +1 -1      ports/multimedia/k9copy/Makefile
  1.11      +1 -1      ports/multimedia/kissdx/Makefile
  1.41      +5 -11     ports/multimedia/libdvdnav/Makefile
  1.11      +2 -2      ports/multimedia/libdvdnav/distinfo
  1.3       +33 -3     ports/multimedia/libdvdnav/files/patch-configure2
  1.3       +1 -1      ports/multimedia/libdvdnav/pkg-descr
  1.10      +2 -2      ports/multimedia/libdvdnav/pkg-plist
  1.17      +1 -1      ports/multimedia/libdvdplay/Makefile
  1.40      +18 -14    ports/multimedia/libdvdread/Makefile
  1.11      +2 -2      ports/multimedia/libdvdread/distinfo
  1.3       +10 -5     ports/multimedia/libdvdread/files/patch-configure2
  1.1       +16 -0     ports/multimedia/libdvdread/files/patch-src.md5.c (new)
  1.5       +1 -1      ports/multimedia/libdvdread/pkg-descr
  1.8       +1 -1      ports/multimedia/libdvdread/pkg-plist
  1.176     +1 -1      ports/multimedia/libxine/Makefile
  1.21      +1 -1      ports/multimedia/lsdvd/Makefile
  1.32      +1 -1      ports/multimedia/lxdvdrip/Makefile
  1.26      +1 -1      ports/multimedia/mmpython/Makefile
  1.79      +1 -1      ports/multimedia/mplayerxp/Makefile
  1.68      +1 -1      ports/multimedia/ogmrip/Makefile
  1.31      +1 -1      ports/multimedia/ogmtools/Makefile
  1.11      +1 -1      ports/multimedia/py-kaa-metadata/Makefile
  1.8       +1 -1      ports/multimedia/streamanalyze/Makefile
  1.149     +1 -1      ports/multimedia/transcode/Makefile
  1.13      +1 -1      ports/multimedia/vamps/Makefile
  1.279     +1 -0      ports/multimedia/vlc/Makefile
  1.4       +1 -1      ports/multimedia/xbmc-pvr/Makefile
  1.14      +1 -1      ports/multimedia/xbmc/Makefile
  1.7       +1 -1      ports/net/wizd/Makefile
  1.20      +1 -1      ports/sysutils/dvdbackup/Makefile
  1.78      +1 -1      ports/sysutils/k3b-kde4/Makefile
  1.75      +1 -1      ports/sysutils/k3b/Makefile
  1.35      +1 -1      ports/sysutils/vobcopy/Makefile
  1.10      +1 -1      ports/sysutils/vstrip/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Ganael LAPLANCHE freebsd_committer 2012-01-17 14:50:23 UTC
State Changed
From-To: open->closed

Committed, thanks!